Bug 635451 - Review Request: gio-sharp - Mono GIO API binding
Review Request: gio-sharp - Mono GIO API binding
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Lange
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 635450
  Show dependency treegraph
 
Reported: 2010-09-19 16:27 EDT by Lukas Zapletal
Modified: 2013-10-19 10:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-21 16:25:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
palango: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Lukas Zapletal 2010-09-19 16:27:02 EDT
Spec URL: http://static.zapletalovi.com/fedora/rpm/gio-sharp/gio-sharp.spec
SRPM URL: http://static.zapletalovi.com/fedora/rpm/gio-sharp/gio-sharp-2.22.2-1.fc13.src.rpm

Description: 
The gio-sharp binds the GIO API, which isn't available in Gtk#.

The purpose of my submission is new package "docky" which is advanced MacOS-like docker application that depends on this library. Its submitted under BZ #635450.

This is my first package, I would love to find a sponsor :-)
Comment 1 Lukas Zapletal 2010-09-19 16:54:33 EDT
rpmlint:
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 2 Lukas Zapletal 2010-09-22 15:03:29 EDT
Scratch build for F13:

https://koji.fedoraproject.org/koji/taskinfo?taskID=2482347
Comment 3 Paul Lange 2010-09-23 18:06:00 EDT
Hey Lukas,

thanks for packaging this. I'll review this, but I cannot sponsor you. It's best to write a mail to the SIGs mailing list:
http://fedoraproject.org/wiki/SIGs/Mono

One first hint for the package: only use %{buildroot} or $RPM_BUILD_ROOT
Furthermore the cd .. seems unnecessary.
Comment 4 Lukas Zapletal 2010-09-24 01:43:28 EDT
Paul,

thanks for helping me here. Both hints fixed.

$ rpmlint -i gio-sharp.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

I have uploaded the Spec to the same place (overwriting old files). Is this good approach or should I increment the release number?

ps - much more interesting package is bug 635450 but it depends on this one (and I am not able to use koji until this one gets approved)
Comment 5 Paul Lange 2010-09-24 11:57:41 EDT
The formal review.

Further (more formal) review:
- MUST: rpmlint must be run on every package. The output should be posted
in the review.
[paul@paul-laptop i686]$ rpmlint gio-sharp-2.22.2-1.fc13.i686.rpm 
gio-sharp.i686: E: no-binary
gio-sharp.i686: W: only-non-binary-in-usr-lib
gio-sharp.i686: E: zero-length /usr/share/doc/gio-sharp-2.22.2/ChangeLog
1 packages and 0 specfiles checked; 2 errors, 1 warnings.

gio-sharp-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Please remove the Changlog file from %doc if it doesn't contain any content.


- MUST: The package must be named according to the Package Naming Guidelines
OK

- MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec
OK

- MUST: The package must meet the Packaging Guidelines.
OK

- MUST: The package must be licensed with a Fedora approved license and meet
the  Licensing Guidelines .
OK

- MUST: The License field in the package spec file must match the actual
license.
OK

- MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
License file not included.

- MUST: The spec file must be written in American English.
OK

- MUST: The spec file for the package MUST be legible.
OK

- MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

1579a3de3b1b348b8d51b3a63f8a3b9e
OK

- MUST: The package MUST successfully compile and build into binary rpms on at
least one primary architecture.

tested on i686 and x64_86

- MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line.
OK

- MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of the Packaging Guidelines ;
inclusion of those as BuildRequires is optional. Apply common sense.
OK

- MUST: A package must not contain any duplicate files in the %files listing.
OK

- MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
OK

- MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
OK

- MUST: Each package must consistently use macros.
OK

- MUST: The package must contain code, or permissable content.
OK

- MUST: Header files must be in a -devel package.
OK

- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
(for directory ownership and usability).
OK

- MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release}
OK

- MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time.
OK

- MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT).
OK

- MUST: All filenames in rpm packages must be valid UTF-8.
OK

*************************************************************

From my side this package is fine. Only remove the empty ChangeLog from the %doc listing.
After that please write a mail to the Mono SIGs mailing list and ask for sponsoring.
Comment 6 Lukas Zapletal 2010-09-24 18:52:39 EDT
Fixed. I have uploaded the new version to the same link. Paul thanks for your review. I will send the mail. Thanks again.
Comment 7 Lukas Zapletal 2010-10-21 16:25:13 EDT
Somebody else uploaded the spec and its already in Fedora.

See bug 639350.

Note You need to log in before you can comment on or make changes to this bug.